searchData={"items":[{"type":"module","title":"RadioBrowser","doc":"Client for the Radio Browser API (https://api.radio-browser.info/).\n\nThis module provides a GenServer-based client to interact with the Radio Browser API,\nallowing you to search, play, and manage radio stations from a worldwide directory.","ref":"RadioBrowser.html"},{"type":"module","title":"Features - RadioBrowser","doc":"* Search radio stations by various criteria (name, country, language, etc.)\n* Play radio stations\n* Vote for stations\n* Track station clicks\n* Access station metadata and statistics\n* Fetch faceted data (tags, countries, languages, etc.)","ref":"RadioBrowser.html#module-features"},{"type":"module","title":"Usage - RadioBrowser","doc":"Start the client as part of your supervision tree:\n\n    children = [\n      RadioBrowser\n    ]\n    Supervisor.start_link(children, strategy: :one_for_one)\n\nThen use the various functions to interact with radio stations:\n\n    # Search for stations\n    RadioBrowser.search(name: \"jazz\", country: \"US\")\n\n    # Play a station\n    RadioBrowser.play(\"station-uuid\")","ref":"RadioBrowser.html#module-usage"},{"type":"function","title":"RadioBrowser.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"RadioBrowser.html#child_spec/1"},{"type":"function","title":"RadioBrowser.click/1","doc":"Records a click event for a radio station.\n\nClick events are used to track station popularity and generate statistics.\nThis is automatically called by `play/1` but can be called manually if needed.","ref":"RadioBrowser.html#click/1"},{"type":"function","title":"Parameters - RadioBrowser.click/1","doc":"* `station_uuid` - The UUID of the station that was clicked","ref":"RadioBrowser.html#click/1-parameters"},{"type":"function","title":"Return Values - RadioBrowser.click/1","doc":"Returns the click response from the API.","ref":"RadioBrowser.html#click/1-return-values"},{"type":"function","title":"RadioBrowser.discover_servers/0","doc":"Returns a list of URI structs for radio-browser API servers.","ref":"RadioBrowser.html#discover_servers/0"},{"type":"function","title":"RadioBrowser.get_facet/1","doc":"Retrieves faceted data from the API.\n\nFacets are pre-aggregated lists of values that can be used for filtering\nand navigation. Available facets are: [\"tags\", \"countries\", \"languages\", \"codecs\", \"states\"]","ref":"RadioBrowser.html#get_facet/1"},{"type":"function","title":"Parameters - RadioBrowser.get_facet/1","doc":"* `facet` - Name of the facet to retrieve (atom or string)","ref":"RadioBrowser.html#get_facet/1-parameters"},{"type":"function","title":"Return Values - RadioBrowser.get_facet/1","doc":"* List of facet values if the facet exists\n* `{:error, reason}` if the facet is invalid","ref":"RadioBrowser.html#get_facet/1-return-values"},{"type":"function","title":"RadioBrowser.get_server/0","doc":"Retrieves a random API server from the pool of available servers.\n\nThis is mainly used internally but can be useful for debugging purposes.","ref":"RadioBrowser.html#get_server/0"},{"type":"function","title":"Return Values - RadioBrowser.get_server/0","doc":"Returns a URI struct representing the server address.","ref":"RadioBrowser.html#get_server/0-return-values"},{"type":"function","title":"RadioBrowser.play/1","doc":"Plays a radio station and records a click event.\n\nThis function does two things:\n1. Returns the station information immediately\n2. Asynchronously records a click event for the station","ref":"RadioBrowser.html#play/1"},{"type":"function","title":"Parameters - RadioBrowser.play/1","doc":"* `station_uuid` - The UUID of the station to play","ref":"RadioBrowser.html#play/1-parameters"},{"type":"function","title":"Return Values - RadioBrowser.play/1","doc":"Returns the station information if found, or an error if the station doesn't exist.","ref":"RadioBrowser.html#play/1-return-values"},{"type":"function","title":"RadioBrowser.search/1","doc":"Searches for radio stations using the provided parameters.","ref":"RadioBrowser.html#search/1"},{"type":"function","title":"Parameters - RadioBrowser.search/1","doc":"* `opts` - Keyword list of search parameters:\n  * `:name` - (String) Station name to search for\n  * `:name_exact` - (Boolean) Whether to match the name exactly\n  * `:country` - (String) Country name to filter by\n  * `:country_exact` - (Boolean) Whether to match the country exactly\n  * `:countrycode` - (String) ISO country code to filter by\n  * `:state` - (String) State/region to filter by\n  * `:state_exact` - (Boolean) Whether to match the state exactly\n  * `:language` - (String) Language to filter by\n  * `:language_exact` - (Boolean) Whether to match the language exactly\n  * `:tag` - (String) Tag to filter by\n  * `:tag_exact` - (Boolean) Whether to match the tag exactly\n  * `:tag_list` - (String) Comma-separated list of tags\n  * `:bitrate_min` - (Integer) Minimum bitrate in kbps\n  * `:bitrate_max` - (Integer) Maximum bitrate in kbps\n  * `:order` - (String) Field to order by (see @valid_order_fields)\n  * `:reverse` - (Boolean) Whether to reverse the order\n  * `:offset` - (Integer) Number of results to skip\n  * `:limit` - (Integer) Maximum number of results to return\n  * `:hidebroken` - (Boolean) Whether to hide broken stations","ref":"RadioBrowser.html#search/1-parameters"},{"type":"function","title":"Return Values - RadioBrowser.search/1","doc":"* `{:ok, stations}` - List of stations matching the search criteria\n* `{:error, reason}` - If the search failed","ref":"RadioBrowser.html#search/1-return-values"},{"type":"function","title":"RadioBrowser.search_by_countrycode/1","doc":"Searches for radio stations by country code.\n\nThis is a convenience wrapper around `search/1` that automatically\nuppercases the country code.","ref":"RadioBrowser.html#search_by_countrycode/1"},{"type":"function","title":"Parameters - RadioBrowser.search_by_countrycode/1","doc":"* `countrycode` - ISO 3166-1 alpha-2 country code (e.g., \"US\", \"GB\", \"DE\")","ref":"RadioBrowser.html#search_by_countrycode/1-parameters"},{"type":"function","title":"Return Values - RadioBrowser.search_by_countrycode/1","doc":"Same as `search/1`","ref":"RadioBrowser.html#search_by_countrycode/1-return-values"},{"type":"function","title":"RadioBrowser.search_by_name/1","doc":"Searches for radio stations by name.\n\nThis is a convenience wrapper around `search/1` that performs a non-exact\nname search.","ref":"RadioBrowser.html#search_by_name/1"},{"type":"function","title":"Parameters - RadioBrowser.search_by_name/1","doc":"* `name` - Name or partial name of the station to search for","ref":"RadioBrowser.html#search_by_name/1-parameters"},{"type":"function","title":"Return Values - RadioBrowser.search_by_name/1","doc":"Same as `search/1`","ref":"RadioBrowser.html#search_by_name/1-return-values"},{"type":"type","title":"RadioBrowser.search_params/0","doc":"","ref":"RadioBrowser.html#t:search_params/0"},{"type":"function","title":"RadioBrowser.start_link/1","doc":"Starts the RadioBrowser client.\n\nThis function starts a GenServer process that maintains the connection to the Radio Browser API\nand handles all API requests. The process is registered under the module name.","ref":"RadioBrowser.html#start_link/1"},{"type":"function","title":"Options - RadioBrowser.start_link/1","doc":"Currently no options are supported, but they may be added in future versions.","ref":"RadioBrowser.html#start_link/1-options"},{"type":"function","title":"Return Values - RadioBrowser.start_link/1","doc":"* `{:ok, pid}` - If the process was started successfully\n* `{:error, reason}` - If the process could not be started","ref":"RadioBrowser.html#start_link/1-return-values"},{"type":"function","title":"RadioBrowser.vote/1","doc":"Votes for a radio station.\n\nEach client can vote for a station once within 24 hours.\nVotes help determine station popularity and rankings.","ref":"RadioBrowser.html#vote/1"},{"type":"function","title":"Parameters - RadioBrowser.vote/1","doc":"* `station_uuid` - The UUID of the station to vote for","ref":"RadioBrowser.html#vote/1-parameters"},{"type":"function","title":"Return Values - RadioBrowser.vote/1","doc":"* `{:ok, response}` - If the vote was recorded successfully\n* `{:error, reason}` - If the vote could not be recorded","ref":"RadioBrowser.html#vote/1-return-values"},{"type":"extras","title":"RadioBrowser","doc":"# RadioBrowser\n\nAn Elixir client for the [Radio Browser API](https://api.radio-browser.info/), providing access to a worldwide directory of radio stations. This client allows you to search, play, and manage radio stations through a simple and intuitive interface.","ref":"readme.html"},{"type":"extras","title":"Features - RadioBrowser","doc":"* Search radio stations by various criteria (name, country, language, etc.)\n* Play radio stations\n* Vote for stations\n* Track station clicks\n* Access station metadata and statistics\n* Fetch faceted data (tags, countries, languages, etc.)","ref":"readme.html#features"},{"type":"extras","title":"Installation - RadioBrowser","doc":"Add `radio_browser` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:radio_browser, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - RadioBrowser","doc":"Start the RadioBrowser client as part of your supervision tree:\n\n```elixir\n# In your application.ex\nchildren = [\n  RadioBrowser\n]\nSupervisor.start_link(children, strategy: :one_for_one)\n```","ref":"readme.html#usage"},{"type":"extras","title":"Searching for Stations - RadioBrowser","doc":"```elixir\n# Search by name\nRadioBrowser.search_by_name(\"jazz\")\n\n# Search by country code\nRadioBrowser.search_by_countrycode(\"US\")\n\n# Advanced search with multiple criteria\nRadioBrowser.search(\n  name: \"jazz\",\n  country: \"United States\",\n  language: \"english\",\n  tag: \"smooth jazz\",\n  bitrate_min: 128,\n  limit: 10\n)\n```","ref":"readme.html#searching-for-stations"},{"type":"extras","title":"Playing and Interacting with Stations - RadioBrowser","doc":"```elixir\n# Play a station (returns station info and records click)\nRadioBrowser.play(\"station-uuid\")\n\n# Vote for a station\nRadioBrowser.vote(\"station-uuid\")\n\n# Manually record a click\nRadioBrowser.click(\"station-uuid\")\n```","ref":"readme.html#playing-and-interacting-with-stations"},{"type":"extras","title":"Fetching Metadata - RadioBrowser","doc":"```elixir\n# Get all available tags\nRadioBrowser.get_facet(\"tags\")\n\n# Get all available countries\nRadioBrowser.get_facet(\"countries\")\n\n# Get all available languages\nRadioBrowser.get_facet(\"languages\")\n```","ref":"readme.html#fetching-metadata"},{"type":"extras","title":"Configuration - RadioBrowser","doc":"No configuration is required. The client automatically discovers and uses available Radio Browser API servers.","ref":"readme.html#configuration"},{"type":"extras","title":"Contributing - RadioBrowser","doc":"1. Fork it\n2. Create your feature branch (`git checkout -b my-new-feature`)\n3. Commit your changes (`git commit -am 'Add some feature'`)\n4. Push to the branch (`git push origin my-new-feature`)\n5. Create new Pull Request","ref":"readme.html#contributing"},{"type":"extras","title":"License - RadioBrowser","doc":"This project is licensed under the MIT License. See LICENSE.md for details.","ref":"readme.html#license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.1"}}